=== lisp/Makefile ===
--- 
+++ 
@@ -26,8 +26,16 @@
 magit-log.elc:		magit-core.elc magit-diff.elc
 magit-wip.elc:		magit-core.elc magit-log.elc
 magit-apply.elc:	magit-core.elc magit-diff.elc magit-wip.elc
+magit-repos.elc:	magit-core.elc
 magit.elc:		git-commit.elc magit-core.elc magit-diff.elc \
-			magit-apply.elc magit-log.elc
+			magit-log.elc magit-apply.elc magit-repos.elc
+magit-status.elc:	magit.elc
+magit-refs.elc: 	magit.elc
+magit-files.elc:	magit.elc
+magit-branch.elc:	magit.elc
+magit-worktree.elc:	magit.elc
+magit-notes.elc:	magit.elc
+magit-obsolete.elc:	magit.elc
 magit-sequence.elc:	magit.elc
 magit-commit.elc:	magit.elc magit-sequence.elc
 magit-remote.elc:	magit.elc
