=== debian/changelog ===
magit (2.10.0-2) unstable; urgency=medium

  * Team upload.
  * Add files new in this upstream version to d/elpa-magit.elpa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 15 Jan 2017 10:34:53 -0700

magit (2.10.0-1) unstable; urgency=medium

  [ Sean Whitton ]
  * Fix typo in elpa-git-commit's description.

  [ Rémi Vanicat ]
  * New upstream version
  * debian/watch: dowload the "source" archive
  * Build tested with emacs25: no change needed

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 15 Jan 2017 10:45:04 +0100

magit (2.9.0-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 09 Dec 2016 11:27:27 +0100

magit (2.8.0-1) unstable; urgency=medium

  * New upstream version
  * use dh-elpa to find upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Thu, 15 Sep 2016 20:11:09 +0200
