=== debian/control ===
Source: magit
Section: vcs
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>, Rémi Vanicat <vanicat@debian.org>, Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9),
	emacs-nox | emacs, dh-elpa (>= 0.0.17), dash-el,
	texinfo, install-info
Standards-Version: 3.9.8
Homepage: http://magit.vc/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/magit.git
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/magit.git

Package: elpa-magit
Architecture: all
Provides: magit
Replaces: magit (<< 2.2.2-3)
Breaks: magit (<< 2.2.2-3)
Depends: ${misc:Depends}, git, dash-el, ${elpa:Depends}
Built-Using: ${misc:Built-Using}
Description: Emacs interface for Git
 With Magit, you can inspect and modify your Git repositories with
 Emacs.  You can review and commit the changes you have made to the
 tracked files, for example, and you can browse the history of past
 changes.  There is support for cherry picking, reverting, merging,
 rebasing, and other common Git operations.

Package: elpa-git-commit
Architecture: all
Depends: ${misc:Depends}, dash-el, ${elpa:Depends}
Built-Using: ${misc:Built-Using}
Description: Major mode for editing git commit message
 A mode for editing COMMIT_MSG file from git in Emacs.

Package: elpa-magit-popup
Architecture: all
Depends: ${misc:Depends}, dash-el, ${elpa:Depends}
Built-Using: ${misc:Built-Using}
Description: Use popup like Magit
 Magit use popup to run different git function and select the option
 you want
 .
 This package allow you to use those popup in other Emacs mode.

Package: magit
Priority: extra
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, elpa-magit
Built-Using: ${misc:Built-Using}
Description: transitional dummy package for elpa-magit
 This transitional package is safe to remove.
