## magit 2.10.1

=== debian/changelog ===
magit (2.10.1-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Wed, 01 Feb 2017 21:47:01 +0100
