## magit 2.10.3

=== debian/changelog ===
magit (2.10.3-1) unstable; urgency=medium

  * New upstream version
  * Normal elpa dependency for dash
  * Build depend on newer dh-elpa
  * Enhances: emacs, emacs24, emacs25 and git
  * Standards-Version: 4.0.0, no change needed

 -- Rémi Vanicat <vanicat@debian.org>  Mon, 19 Jun 2017 17:16:59 +0200
