## magit 2.11.0

=== Makefile ===
--- 
+++ 
@@ -187,17 +187,17 @@
 	@$(RMDIR) magit-$(VERSION)
 
 define set_package_requires
-(require 'dash)
+(require (quote dash))
 (dolist (lib (list "git-commit" "magit-popup" "magit"))
   (with-current-buffer (find-file-noselect (format "lisp/%s.el" lib))
     (goto-char (point-min))
     (re-search-forward "^;; Package-Requires: ")
     (let ((s (read (buffer-substring (point) (line-end-position)))))
-      (--when-let (assq 'async       s) (setcdr it (list async-version)))
-      (--when-let (assq 'dash        s) (setcdr it (list dash-version)))
-      (--when-let (assq 'with-editor s) (setcdr it (list with-editor-version)))
-      (--when-let (assq 'git-commit  s) (setcdr it (list git-commit-version)))
-      (--when-let (assq 'magit-popup s) (setcdr it (list magit-popup-version)))
+      (--when-let (assq (quote async)       s) (setcdr it (list async-version)))
+      (--when-let (assq (quote dash)        s) (setcdr it (list dash-version)))
+      (--when-let (assq (quote with-editor) s) (setcdr it (list with-editor-version)))
+      (--when-let (assq (quote git-commit)  s) (setcdr it (list git-commit-version)))
+      (--when-let (assq (quote magit-popup) s) (setcdr it (list magit-popup-version)))
       (delete-region (point) (line-end-position))
       (insert (format "%S" s))
       (save-buffer))))
