=== Documentation/Makefile ===
--- 
+++ 
@@ -58,21 +58,23 @@
 # Because most users don't have the necessary tools we cannot
 # use "%.texi: %.org".  Instead we have to hardcode each file
 # using a shared target.
+
+DOC_ARGS  = --batch -Q $(DOC_LOAD_PATH)
+DOC_ARGS += -l magit-utils.el -l ox-extra -l org-man -l ox-texinfo+.el
+DOC_EVAL  = --eval "(ox-extras-activate '(ignore-headlines))"
+DOC_EVAL += -f org-texinfo-export-to-texinfo
+
 texi: $(TEXIPAGES)
 	@printf "Generating magit.texi\n"
-	@$(EMACSBIN) -batch -Q $(DOC_LOAD_PATH) \
-	-l magit-utils.el -l org-man -l ox-texinfo+.el \
-	magit.org -f org-texinfo-export-to-texinfo
+	@$(EMACSBIN) $(DOC_ARGS) magit.org $(DOC_EVAL)
 	@echo >> magit.texi
 	@printf "Generating magit-popup.texi\n"
-	@$(EMACSBIN) -batch -Q $(DOC_LOAD_PATH) \
-	-l ox-texinfo+.el \
-	magit-popup.org -f org-texinfo-export-to-texinfo
+	@$(EMACSBIN) $(DOC_ARGS) magit-popup.org $(DOC_EVAL)
 	@echo >> magit-popup.texi
 
 stats:
 	@printf "Generating statistics\n"
-	@gitstats -c style=/assets/stats.css -c max_authors=64 $(TOP) $(statsdir)
+	@gitstats -c style=/assets/stats.css -c max_authors=999 $(TOP) $(statsdir)
 
 authors: AUTHORS.md
 
@@ -85,6 +87,7 @@
 	|| printf "FAILED (non-fatal)\n"
 
 DOMAIN         ?= magit.vc
+CFRONT_DIST    ?= E2LUHBKU1FBV02
 PUBLISH_BUCKET ?= s3://$(DOMAIN)
 PREVIEW_BUCKET ?= s3://preview.$(DOMAIN)
 PUBLISH_URL    ?= http://$(DOMAIN).s3-website.eu-central-1.amazonaws.com
@@ -93,11 +96,15 @@
 preview-stats: stats
 	@printf "Uploading statistics...\n"
 	@aws s3 sync $(statsdir)      $(PREVIEW_BUCKET)/stats/
+	@aws cloudfront create-invalidation \
+	--distribution-id $(CFRONT_DIST) --paths "/stats/*"
 	@printf "Uploaded to $(PREVIEW_URL)/stats/\n"
 
 publish-stats: stats
 	@printf "Uploading statistics...\n"
 	@aws s3 sync $(statsdir)      $(PUBLISH_BUCKET)/stats/
+	@aws cloudfront create-invalidation \
+	--distribution-id $(CFRONT_DIST) --paths "/stats/*"
 	@printf "Uploaded to $(PUBLISH_URL)/stats/\n"
 
 preview-manuals: html html-dir pdf
@@ -108,6 +115,8 @@
 	@aws s3 sync magit-popup      $(PREVIEW_BUCKET)/manual/magit-popup/
 	@aws s3 cp   magit-popup.html $(PREVIEW_BUCKET)/manual/
 	@aws s3 cp   magit-popup.pdf  $(PREVIEW_BUCKET)/manual/
+	@aws cloudfront create-invalidation \
+	--distribution-id $(CFRONT_DIST) --paths "/manual/*"
 	@printf "Uploaded to $(PREVIEW_URL)/manual/\n"
 
 publish-manuals: html html-dir pdf
@@ -118,6 +127,8 @@
 	@aws s3 sync magit-popup      $(PUBLISH_BUCKET)/manual/magit-popup/
 	@aws s3 cp   magit-popup.html $(PUBLISH_BUCKET)/manual/
 	@aws s3 cp   magit-popup.pdf  $(PUBLISH_BUCKET)/manual/
+	@aws cloudfront create-invalidation \
+	--distribution-id $(CFRONT_DIST) --paths "/manual/*"
 	@printf "Uploaded to $(PUBLISH_URL)/manual/\n"
 
 # Templates ##########################################################
