=== lisp/Makefile ===
--- 
+++ 
@@ -47,6 +47,8 @@
 magit-ediff.elc:	magit.elc
 magit-extras.elc:	magit.elc
 git-rebase.elc:		magit.elc
+magit-imenu.elc:	magit.elc git-rebase.elc
+magit-bookmark.elc:	magit.elc
 
 ## Build #############################################################
