=== debian/changelog ===
magit (2.11.0-1) unstable; urgency=medium

  * New upstream version
  * Add magit-bookmark.el and magit-imenu.el to elpa-magit

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 16 Sep 2017 14:57:13 +0200
