=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>, Rémi Vanicat <vanicat@debian.org>, Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9),
-	emacs-nox | emacs, dh-elpa (>= 0.0.17), dash-el,
+Build-Depends: debhelper (>= 9), dh-elpa (>= 1.7), elpa-dash,
 	texinfo, install-info
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://magit.vc/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/magit.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/magit.git
@@ -16,8 +15,9 @@
 Provides: magit
 Replaces: magit (<< 2.2.2-3)
 Breaks: magit (<< 2.2.2-3)
-Depends: ${misc:Depends}, git, dash-el, ${elpa:Depends}
+Depends: ${misc:Depends}, git, ${elpa:Depends}
 Built-Using: ${misc:Built-Using}
+Enhances: emacs, emacs24, emacs25, git
 Description: Emacs interface for Git
  With Magit, you can inspect and modify your Git repositories with
  Emacs.  You can review and commit the changes you have made to the
@@ -27,15 +27,17 @@
 
 Package: elpa-git-commit
 Architecture: all
-Depends: ${misc:Depends}, dash-el, ${elpa:Depends}
+Depends: ${misc:Depends}, ${elpa:Depends}
+Enhances: emacs, emacs24, emacs25, git
 Built-Using: ${misc:Built-Using}
 Description: Major mode for editing git commit message
  A mode for editing COMMIT_MSG file from git in Emacs.
 
 Package: elpa-magit-popup
 Architecture: all
-Depends: ${misc:Depends}, dash-el, ${elpa:Depends}
+Depends: ${misc:Depends}, ${elpa:Depends}
 Built-Using: ${misc:Built-Using}
+Enhances: emacs, emacs24, emacs25
 Description: Use popup like Magit
  Magit use popup to run different git function and select the option
  you want
