=== debian/watch ===
version=3
https://github.com/magit/magit/releases /magit/magit/archive/(\d.+).tar.gz
