=== debian/changelog ===
magit (2.13.0-3) unstable; urgency=medium

  * Fix for Lintian:
    - change dependency on debhelper
    - put magit transitional package in optional
  * Standards-Version: 4.1.4, no change needed
  * Use https for magit home page
  * Change maintainer to the current mailing list

 -- Rémi Vanicat <vanicat@debian.org>  Mon, 09 Jul 2018 10:16:38 +0200

magit (2.13.0-2) unstable; urgency=medium

  * Run test: set GIT_COMMITTER_EMAIL and GIT_AUTHOR_EMAIL to let test run
    even if machine has no domain (Closes: #902640),
    thanks to Santiago Vila <sanvila@debian.org>

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 29 Jun 2018 08:50:29 +0200

magit (2.13.0-1) unstable; urgency=medium

  * New upstream version
  * Run test:
    * Depend on git, elpa-dash, elpa-with-editor, elpa-magit-popup, elpa-ghub
    * Set some variable (locale, and GIT variables)
    * Ensure tramp test do not write in ~/

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 09 Jun 2018 18:52:31 +0200
