=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: magit
 Section: vcs
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>, Rémi Vanicat <vanicat@debian.org>, Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9), dh-elpa (>= 1.7), elpa-dash,
-	texinfo, install-info
-Standards-Version: 4.0.0
-Homepage: http://magit.vc/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/magit.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/magit.git
+Build-Depends: debhelper (>= 11), dh-elpa (>= 1.7),
+               git, elpa-dash, elpa-with-editor, elpa-magit-popup, elpa-ghub,
+               texinfo, install-info
+Standards-Version: 4.1.4
+Homepage: https://magit.vc/
+Vcs-Browser: https://salsa.debian.org/emacsen-team/magit
+Vcs-Git: https://salsa.debian.org/emacsen-team/magit.git
 
 Package: elpa-magit
 Architecture: all
@@ -33,19 +34,8 @@
 Description: Major mode for editing git commit message
  A mode for editing COMMIT_MSG file from git in Emacs.
 
-Package: elpa-magit-popup
-Architecture: all
-Depends: ${misc:Depends}, ${elpa:Depends}
-Built-Using: ${misc:Built-Using}
-Enhances: emacs, emacs24, emacs25
-Description: Use popup like Magit
- Magit use popup to run different git function and select the option
- you want
- .
- This package allow you to use those popup in other Emacs mode.
-
 Package: magit
-Priority: extra
+Priority: optional
 Section: oldlibs
 Architecture: all
 Depends: ${misc:Depends}, elpa-magit
